classes

## Class IdCounter

- java.lang.Object
- - classes.IdCounter

    public class IdCounter
    extends java.lang.Object

ID-Counter for all Cps Objects.

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`IdCounter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getCounter()` Return the Counter.
`static int` `nextId()` Return the next ID and increment the ID counter by 1.
`static void` `resetCounter()` Reset the Counter.
`static void` `setCounter(int counter)` Set the Counter.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdCounter

    public IdCounter()

### Method Detail

#### nextId

    public static int nextId()

Return the next ID and increment the ID counter by 1.

Returns:
  the next ID

#### getCounter

    public static int getCounter()

Return the Counter.

Returns:
  the counter

#### setCounter

    public static void setCounter(int counter)

Set the Counter.

Parameters:
  `counter` - the counter to set

#### resetCounter

    public static void resetCounter()

Reset the Counter.